package com.emr.service;

import com.emr.entity.OffsetLimitPage;
import com.emr.entity.Temp_Info;
import java.util.List;

public interface Temp_InfoService {
    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(Temp_Info record);

    /**
     * 查询校验完整性（缺失清单）
     * @param example
     * @return
     */
    List<Temp_Info> selByTempMaster(Temp_Info example);

    /**
     * 根据可选字段查询缺失记录
     * @param example
     * @return
     */
    List<Temp_Info>  selByCol(Temp_Info example);

    /**
     * 根据可选字段查询缺失记录分页
     * @param tempInfo
     * @return
     */
    OffsetLimitPage selByCol(Temp_Info tempInfo, Integer offset, Integer limit);


    /**
     * 根据可选字段删除记录
     * @param tempInfo
     * @return
     */
    int delByMasterID(Temp_Info tempInfo);
}
